<HTML>
<BODY BGCOLOR=#C0C0C0>
<?php

/* 
 * search.php - the script to perform a database search
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * this script expects the variable $artist, $title, $album to be set to perform a query.
 *
 */

require("config.inc");
require("queryform.inc");

// formulate the query
$clauses=array();

if(strlen($artist) > 0)
  array_push($clauses, getQueryClause("artist", $artist, $regex, $case));

if(strlen($title) > 0)
  array_push($clauses, getQueryClause("title", $title, $regex, $case));

if(strlen($album) > 0)
  array_push($clauses, getQueryClause("album", $album, $regex, $case));

// do we realy have a query
if(sizeof($clauses) > 0)
{
  if($match != "OR")
    $match="AND";

  $query=join(" $match ", $clauses);

  include("dbquery.inc");

  if($entries_found <= 0)
  {
    echo("<H1><B>Not entries found matching the pattern</B></H1>");
  }
}
else // no query to ask the database
{
  echo("<CENTER><BR><H1><B><A HREF=\"http://www.teco.edu/~krebs/muwed\">muwed</A></B></H1><H2>a <A HREF=\"http://www.postgresql.org\">PostgreSQL</A> based mp3 <B>mu</B>sic <B>we</B>b <B>d</B>atabase for <A HREF=\"http://www.dpotter.com/david/irmp3/\">irmp3</A></H2>written by<BR>");
  echo("<H2><A HREF=\"http://flowserv.teco.edu/cgi-bin/krebs/krebs.pl\">Andreas S. Krebs</A></H2>(<A HREF=\"mailto:andreas.krebs@web.de\">andreas.krebs@web.de</A>)<BR>");
}

function getQueryClause($field, $pattern, $regex, $case)
{
  $val=ereg_replace("'", "''", $pattern);
  
  if($regex == 1)
  {
    if($case == 1)
      $clause="$field ~ '$val'";
    else
      $clause="$field ~* '$val'";
  }
  else
  {
    if($case == 1)
      $clause="$field ~~ '$val'";
    else
      $clause="lower($field) ~~ lower('$val')";
  }

  return $clause;
}

?>
</BODY>
</HTML>

